package agilpizza.modelo.pizza;

import java.util.ArrayList;
import java.util.List;

public class PedidoDAO {
	private List<Pedido> pedidosClientes;
	private static PedidoDAO pedidoDao = new PedidoDAO();

	private PedidoDAO() {
		pedidosClientes = new ArrayList<Pedido>();
	}

	public static PedidoDAO getInstanciaUnica() {
		return pedidoDao;
	}

	public void addPedido(Pedido p) {
		pedidosClientes.add(p);
	}

	public List getTodosOsPedidos() {
		return pedidosClientes;
	}

	public void limparTodosOsPedidos() {
		pedidosClientes.clear();
		pedidosClientes = new ArrayList<Pedido>();
	}
}
